.mfp-wrap { z-index: 1000001 !important; }

.mfp-bg { z-index: 1000000 !important; }

.section.gallery .text.top-text p {
	margin: 0;
	padding: 10px;
	background-color: #fff;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1001;
    padding-right: 60px;
}

.close-gallery {
	position: fixed;
	top: 8px;
	right: 10px;
	font-size: 40px;
	cursor: pointer;
	z-index: 1000000;
	background: #333;
	color: white;
	width: 40px;
	height: 40px;
	line-height: 36px;
	text-align: center;
	border-radius: 50%;
}

.close-gallery:hover { background: #555; }

.mfp-image-holder { padding: 0 !important; }

.mfp-bg { background: #000 !important; }

.mfp-bg.mfp-ready { opacity: 1 !important; }

.mfp-close {
	top: 20px !important;
	right: 20px !important;
	background: #333;
	border-radius: 50%;
}

.mfp-counter {
	color: #fff !important;
	right: 10px !important;
}

.mfp-arrow {
    color: #fff !important;
    height: 40px !important;
    mix-blend-mode: unset !important;
    opacity: 1 !important;
    background-color: rgba(255,255,255,0.7);
}

div.mfp-close { display: none; }

button.mfp-close {
    top: 10px !important;
    right: 10px !important;
    opacity: 1 !important;
    background-color: rgba(255,255,255,0.7);
}



@media (max-width: 768px) {

	.close-gallery {
	top: 10px;
	right: 10px;
	}
	    
	body.overlay-active { padding-right: 0; }

}
